moovexDocs

Get vehicles

Paginated vehicles list with filters.

GET/vehicles

Query Parameters

ParameterTypeRequiredDescription
sortstringNo-
suppliersstring[]NoSupplier ids
attributesstring[]NoAttribute ids
servicesstring[]NoService ids
limitnumberYes-
pagenumberYes-
searchstringNo-

Example Response

{
  "page": 1,
  "limit": 20,
  "totalPages": 1,
  "totalResults": 2,
  "records": [
    {
      "id": 10,
      "productId": "prd-001",
      "externalId": "ext-001",
      "name": "Minivan",
      "minSeats": 4,
      "seats": 8,
      "year": 2022,
      "make": "Mercedes",
      "model": "Vito",
      "color": "Silver",
      "licensePlate": "123-45-678",
      "mileage": 50000,
      "costPerMinute": 0.5,
      "lastInspectionDate": 1700000000,
      "nextInspectionDate": 1703600000,
      "capacityConfigurations": [
        {
          "maxHeadCount": 8,
          "attributeCapacityConfigurations": [
            {
              "attribute": 1,
              "count": 2
            }
          ]
        }
      ],
      "insurances": [
        {
          "type": "basic",
          "startDate": 1700000000,
          "endDate": 1703600000
        }
      ],
      "services": [
        "Standard"
      ],
      "attributes": [
        "Wheelchair"
      ],
      "suppliers": [
        "City Cabs"
      ]
    }
  ]
}

On this page